Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2007-AVI-424

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 16 janvier 2008
No CERTA-2007-AVI-424-002

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Multiples vulnérabilités dans X.Org


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2007-AVI-424

Gestion du document


Tableau 1: Gestion du document
Référence CERTA-2007-AVI-424-002
Titre Multiples vulnérabilités dans X.Org
Date de la première version 04 octobre 2007
Date de la dernière version 16 janvier 2008
Source(s) Bulletin de sécurité de X.Org du 02 octobre 2007
Pièce(s) jointe(s) Aucune

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

Exécution de code arbitraire à distance.

2 Systèmes affectés

  • X.org XFS versions 1.0.4 et antérieures.

3 Résumé

De multiples vulnérabilités ont été découvertes dans X.Org XFS permettant l'exécution de code arbitraire à distance.

4 Description

Deux vulnérabilités, existant dans X.Org XFS, permettent l'exécution de code arbitraire à distance par un individu malveillant :
  • la première des vulnérabilités permet un débordement d'entier via la fonction build_range() ;
  • pour la seconde, un nombre arbitraire de bits permet un dépassement de mémoire dans la fonction swap_char2b().

5 Solution

Se référer au bulletin de sécurité des éditeurs pour l'obtention des correctifs (cf. section Documentation).

6 Documentation

Gestion détaillée du document

04 octobre 2007
version initiale.
07 novembre 2007
ajout de la référence CVE et des références aux bulletins de sécurité Mandriva, Gentoo, SUSE et Sun.
16 janvier 2008
ajout de la référence au bulletin de sécurité HP-UX.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-06-22